org.eclipse.ecf.osgi.services.remoteserviceadmin

## Class RemoteServiceAdmin.RemoteServiceAdminEvent

- java.lang.Object
- - org.osgi.service.remoteserviceadmin.RemoteServiceAdminEvent
  - - org.eclipse.ecf.osgi.services.remoteserviceadmin.RemoteServiceAdmin.RemoteServiceAdminEvent

Enclosing class:
  RemoteServiceAdmin

    public class RemoteServiceAdmin.RemoteServiceAdminEvent
    extends RemoteServiceAdminEvent

### Field Summary

### Fields inherited from class org.osgi.service.remoteserviceadmin.RemoteServiceAdminEvent

`EXPORT_ERROR, EXPORT_REGISTRATION, EXPORT_UNREGISTRATION, EXPORT_UPDATE, EXPORT_WARNING, IMPORT_ERROR, IMPORT_REGISTRATION, IMPORT_UNREGISTRATION, IMPORT_UPDATE, IMPORT_WARNING`

### Constructor Summary

Constructors
Constructor and Description
`RemoteServiceAdminEvent(ID containerID, int type, Bundle source, ExportReference exportReference, Throwable exception, EndpointDescription endpointDescription)`
`RemoteServiceAdminEvent(ID containerID, int type, Bundle source, ImportReference importReference, Throwable exception, EndpointDescription endpointDescription)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ID` `getContainerID()`
`EndpointDescription` `getEndpointDescription()`
`String` `toString()`

### Methods inherited from class org.osgi.service.remoteserviceadmin.RemoteServiceAdminEvent

`getException, getExportReference, getImportReference, getSource, getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RemoteServiceAdminEvent

    public RemoteServiceAdminEvent(ID containerID,
                                   int type,
                                   Bundle source,
                                   ExportReference exportReference,
                                   Throwable exception,
                                   EndpointDescription endpointDescription)

#### RemoteServiceAdminEvent

    public RemoteServiceAdminEvent(ID containerID,
                                   int type,
                                   Bundle source,
                                   ImportReference importReference,
                                   Throwable exception,
                                   EndpointDescription endpointDescription)

### Method Detail

#### getEndpointDescription

    public EndpointDescription getEndpointDescription()

Returns:
  EndpointDescription for this remote service admin event
Since:
  3.0

#### getContainerID

    public ID getContainerID()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`